package com.ruoyi.tcZz.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.tcZz.domain.reponse.ScreenArticlesResponse;
import com.ruoyi.tcZz.domain.reponse.ScreenOpinionReportResponse;
import com.ruoyi.tcZz.domain.reponse.ScreenSourceResponse;
import com.ruoyi.tcZz.domain.reponse.ScreenSupervisionResponse;
import com.ruoyi.tcZz.service.ScreenService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 大屏接口
 */
@Api(tags = "大屏接口")
@RestController
@RequestMapping("/tcZz/networkEcology/screen")
public class ScreenController extends BaseController {
    /**
     * 服务层
     */
    @Autowired
    private ScreenService screenService;

    /**
     * 大屏监管对象
     */

    @ApiOperation(value = "大屏监管对象", response = ScreenSupervisionResponse.class)
    @GetMapping("/screensupervision")
    public AjaxResult screenSupervision() {
        return AjaxResult.success(screenService.getScreenSupervision());
    }


    /**
     * 大屏数据来源
     */

    @ApiOperation(value = "大屏数据来源", response = ScreenSourceResponse.class)
    @GetMapping("/screensource")
    public AjaxResult screenSource() {
        return AjaxResult.success(screenService.getScreenSource());
    }


    /**
     * 大屏舆情报告
     */

    @ApiOperation(value = "舆情报告", response = ScreenOpinionReportResponse.class)
    @GetMapping("/screenopinionreport")
    public AjaxResult screenOpinionReport() {
        return AjaxResult.success(screenService.getScreenOpinionReport());
    }




    /**
     * 网评文章
     */

    @ApiOperation(value = "网评文章", response = ScreenArticlesResponse.class)
    @GetMapping("/screenarticles")
    public AjaxResult screenArticles() {
        return AjaxResult.success(screenService.getScreenOpinionReport());
    }
}
